KStatusBar Class Reference

`#include <kstatusbar.h>`

Inherits QStatusBar.

## Public Types

enum | BarStatus { Toggle, Show, Hide }

## Signals

void | pressed (int)
void | released (int)

## Public Member Functions

| KStatusBar (QWidget *parent=0L, const char *name=0L)
| ~KStatusBar ()
void | insertItem (const QString &text, int id, int stretch=0, bool permanent=false)
void | insertFixedItem (const QString &text, int id, bool permanent=false)
void | removeItem (int id)
bool | hasItem (int id) const
void | changeItem (const QString &text, int id)
void | setItemAlignment (int id, int align)
void | setItemFixed (int id, int width=-1)

## Detailed Description

KDE statusbar widget

Display status messages.

You can insert text labels or custom widgets. Their geometry is managed internally. KStatusBar resizes itself, but positioning is left to KMainWindow (or to you, if you don't use KMainWindow ).

A special type of item is a message which is a temporary text-message displayed on top of other items in full-width. Messages are visible for specified time, or until you call the slot QStatusBar::clear(). See QStatusBar::message for details.

It is useful to connect the KActionCollection signals to the QStatusBar::message slots.

KStatusBar inherits QStatusBar, you can freely use all QStatusBar methods.

Empty text items are not visible. They will become visible when you change (add) text.

Author
  Mark Donohoe (donoh.nosp@m.oe@k.nosp@m.de.or.nosp@m.g) Maintained by Sven Radej radej.nosp@m.@kde.nosp@m..org

See also
  KActionCollection

Definition at line 87 of file kstatusbar.h.

## Member Enumeration Documentation

enum KStatusBar::BarStatus

Deprecated:
  WARNING: This enum is only for backward compatibility and it may be removed. No method here uses it.

Definition at line 97 of file kstatusbar.h.

## Constructor & Destructor Documentation

KStatusBar::KStatusBar | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |  |

Constructs a status bar.

`parent` is usually KMainWindow.

Definition at line 61 of file kstatusbar.cpp.

KStatusBar::~KStatusBar | ( |  | ) |

Destructor.

Deletes all internal objects.

Definition at line 74 of file kstatusbar.cpp.

## Member Function Documentation

void KStatusBar::changeItem | ( | const QString & | text,
|  | int | id
| ) |  |

Changes the text in a status bar field.

The item will be resized to fit the text. If you change text to be empty, item will not be visible (untill you add some text).

Parameters

  text | The label's text string
  id | The id of item.

Definition at line 112 of file kstatusbar.cpp.

bool KStatusBar::hasItem | ( | int | id | ) | const

Since
  3.2

Returns true if an item with `id` exists already in KStatusBar, otherwise returns false.

Parameters

  id | id of the item

Definition at line 103 of file kstatusbar.cpp.

void KStatusBar::insertFixedItem | ( | const QString & | text,
|  | int | id,
|  | bool | permanent = `false`
| ) |  |

inline

Inserts a fixed width text label into status bar.

The width will be set according to `text`, but will remain fixed even if you change text. You can change fixed width by calling setItemFixed.

Parameters

  text | The label's text string
  id | id of item
  permanent | permanent flag passed to QStatusBar::addWidget

Definition at line 138 of file kstatusbar.h.

void KStatusBar::insertItem | ( | const QString & | text,
|  | int | id,
|  | int | stretch = `0`,
|  | bool | permanent = `false`
| ) |  |

Inserts a text label into the status bar.

Parameters `stretch` and `permanent` are passed to QStatusBar::addWidget .

If `permanent` is true, then item will be placed on the far right of the statusbar and will never be hidden by QStatusBar::message.

Parameters

  text | The label's text string.
  id | id of item
  stretch | stretch passed to QStatusBar::addWidget
  permanent | is item permanent or not (passed to QStatusBar::addWidget )

See also
  QStatusbar::addWidget

Definition at line 78 of file kstatusbar.cpp.

void KStatusBar::pressed | ( | int |  | ) |

signal

Emitted when mouse is pressed over item `id`.

Connect to this signal if you want to respond to mouse press events.

void KStatusBar::released | ( | int |  | ) |

signal

Emitted when mouse is released over item `id`.

Connect to this signal if you want to respond to mouse release events (clicks).

void KStatusBar::removeItem | ( | int | id | ) |

Removes an item.

Parameters

  id | The item to remove.

Definition at line 90 of file kstatusbar.cpp.

void KStatusBar::setItemAlignment | ( | int | id,
|  | int | align
| ) |  |

Sets the alignment of item `id`.

By default all fields are aligned `AlignHCenter` | `AlignVCenter`. See QLabel::setAlignment for details.

Definition at line 127 of file kstatusbar.cpp.

void KStatusBar::setItemFixed | ( | int | id,
|  | int | width = `-1`
| ) |  |

Sets item `id` to have fixed width.

This cannot be undone, but you can always set new fixed width.

Parameters

  id | id of item
  width | fixed width in pixels. Default -1 is to adapt to text width.

Definition at line 138 of file kstatusbar.cpp.

The documentation for this class was generated from the following files:

- kstatusbar.h
- kstatusbar.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys